summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2022-10-11 07:26:46 -0400
committerGitHub <noreply@github.com>2022-10-11 07:26:46 -0400
commitd91c510f0f4c0d80296939872de018c691933345 (patch)
tree4995aeae11070225a9547edf0b0917fac333325a
parent4a935930abe0cbed5aa5f9b583e91fdaf4278223 (diff)
Add Ubuntu 22.10 to supported distros, CI, and package builds. (#13785)
* Add Ubuntu 22.10 to supported distros, CI, and package builds. Expected release date is 2022-10-20. * Fix handling of netcat in newer Debian and Ubuntu distros.
-rw-r--r--.github/data/distros.yml9
-rwxr-xr-x.github/scripts/pkg-test.sh8
-rw-r--r--packaging/PLATFORM_SUPPORT.md3
3 files changed, 16 insertions, 4 deletions
diff --git a/.github/data/distros.yml b/.github/data/distros.yml
index 8ef32785b3..b25386e2cb 100644
--- a/.github/data/distros.yml
+++ b/.github/data/distros.yml
@@ -162,14 +162,14 @@ include:
- &ubuntu
distro: ubuntu
- version: "22.04"
+ version: "22.10"
env_prep: |
rm -f /etc/apt/apt.conf.d/docker && apt-get update
jsonc_removal: |
apt-get remove -y libjson-c-dev
packages: &ubuntu_packages
type: deb
- repo_distro: ubuntu/jammy
+ repo_distro: ubuntu/kinetic
arches:
- amd64
- armhf
@@ -177,6 +177,11 @@ include:
test:
ebpf-core: true
- <<: *ubuntu
+ version: "22.04"
+ packages:
+ <<: *ubuntu_packages
+ repo_distro: ubuntu/jammy
+ - <<: *ubuntu
version: "20.04"
packages:
<<: *ubuntu_packages
diff --git a/.github/scripts/pkg-test.sh b/.github/scripts/pkg-test.sh
index 179c0c41e6..e3bc3e7d46 100755
--- a/.github/scripts/pkg-test.sh
+++ b/.github/scripts/pkg-test.sh
@@ -4,13 +4,19 @@ install_debian_like() {
# This is needed to ensure package installs don't prompt for any user input.
export DEBIAN_FRONTEND=noninteractive
+ if apt-cache show netcat 2>&1 | grep -q "No packages found"; then
+ netcat="netcat-traditional"
+ else
+ netcat="netcat"
+ fi
+
apt-get update
# Install Netdata
apt-get install -y /netdata/artifacts/netdata_"${VERSION}"*_*.deb || exit 1
# Install testing tools
- apt-get install -y --no-install-recommends curl netcat jq || exit 1
+ apt-get install -y --no-install-recommends curl "${netcat}" jq || exit 1
}
install_fedora_like() {
diff --git a/packaging/PLATFORM_SUPPORT.md b/packaging/PLATFORM_SUPPORT.md
index 2daa0dc91f..e8ca67a73a 100644
--- a/packaging/PLATFORM_SUPPORT.md
+++ b/packaging/PLATFORM_SUPPORT.md
@@ -66,8 +66,9 @@ to work on these platforms with minimal user effort.
| Red Hat Enterprise Linux | 9.x | x86\_64, AArch64 | |
| Red Hat Enterprise Linux | 8.x | x86\_64, AArch64 | |
| Red Hat Enterprise Linux | 7.x | x86\_64 | |
+| Ubuntu | 22.10 | x86\_64, ARMv7, AArch64 | |
| Ubuntu | 22.04 | x86\_64, ARMv7, AArch64 | |
-| Ubuntu | 20.04 | x86\_64, i386, ARMv7, AArch64 | |
+| Ubuntu | 20.04 | x86\_64, ARMv7, AArch64 | |
| Ubuntu | 18.04 | x86\_64, i386, ARMv7, AArch64 | |
### Intermediate